package pwc.taxtech.atms.dto.organization;

import com.fasterxml.jackson.annotation.JsonProperty;
import pwc.taxtech.atms.thirdparty.ExcelCell;

public class OrgInfoDto {
    //@JsonProperty("ID")
    private String id;
    @ExcelCell(index=1)
    private String name;
    @ExcelCell(index=2)
    private String code;
    @JsonProperty("parentID")
    private String parentId;
    @ExcelCell(index=3)
    private String taxPayerNumber;
    @JsonProperty("regionID")
    private String regionId; //City
    @ExcelCell(index=5)
    private String regionName;
    @JsonProperty("structureID")
    private String structureId;
    @ExcelCell(index=4)
    private String structureName;
    @JsonProperty("industryID")
    private String industryId;
    @ExcelCell(index=8)
    private String industryName;
    private String areaName;
    @JsonProperty("areaID")
    @ExcelCell(index=7)
    private String areaId;
    @JsonProperty("businessUnitID")
    private String businessUnitId;
    @ExcelCell(index=6)
    private String businessUnitName;
    @ExcelCell(index=9)
    private Boolean isActive;

    @ExcelCell(index=10)
    private String taxPayerNumberExtra;

    @ExcelCell(index=11)
    private String businessScope;

    @ExcelCell(index=12)
    private String registrationType;

    @ExcelCell(index=13)
    private String architectureType;

    @ExcelCell(index=14)
    private String taxCreditRating;

    @ExcelCell(index=15)
    private String numOfBranches;

    @ExcelCell(index=16)
    private String legalPersonName;

    @ExcelCell(index=17)
    private String phoneNumber;

    @ExcelCell(index=18)
    private String legalPersonIdNum;

    @ExcelCell(index=19)
    private String generalTaxpayerEffectiveTime;

    @ExcelCell(index=20)
    private String registrationFinancialOfficerName;

    @ExcelCell(index=21)
    private String registrationFinancialIdNum;

    @ExcelCell(index=22)
    private String registrationAddressEn;

    @ExcelCell(index=23)
    private String paidInCapital;

    @ExcelCell(index=24)
    private String unifiedSocialCreditCode;

    @ExcelCell(index=25)
    private String registrationStatus;

    @ExcelCell(index=26)
    private String logoffTime;

    @ExcelCell(index=27)
    private String registrationAuthority;

    @ExcelCell(index=28)
    private String regFinancialAccountingType;

    @ExcelCell(index=29)
    private String financialAccountingMethod;

    @ExcelCell(index=30)
    private String financialAccountingRule;

    @ExcelCell(index=31)
    private String lowValueConsumablesAmortizationMethod;

    @ExcelCell(index=32)
    private String depreciationMethod;

    @ExcelCell(index=33)
    private String costingMethod;

    @ExcelCell(index=34)
    private String accountingSoftware;

    @ExcelCell(index=35)
    private String isCompleteRecordTotalInstitutions;

    @ExcelCell(index=36)
    private String taxClientPersonName;

    @ExcelCell(index=37)
    private String taxClientPersonPhone;

    @ExcelCell(index=38)
    private String taxClientPersonIDNum;

    @ExcelCell(index=39)
    private String ticketHolderName;

    @ExcelCell(index=40)
    private String ticketHolderPhoneNum;

    @ExcelCell(index=41)
    private String ticketHolderIDNumber;

    @ExcelCell(index=42)
    private String nationalTaxHallAddress;

    @ExcelCell(index=43)
    private String nationalTaxAdministratorName;

    @ExcelCell(index=44)
    private String nationalTaxAdministratorPhoneNum;

    @ExcelCell(index=45)
    private String localTaxHallAddress;

    @ExcelCell(index=46)
    private String localTaxAdministratorName;

    @ExcelCell(index=47)
    private String localTaxAdministratorPhoneNumber;

    @ExcelCell(index=48)
    private String eTAWebsite;

    @ExcelCell(index=49)
    private String isSignTripartiteAgreement;

    @ExcelCell(index=50)
    private String reportingCurrency;

    @ExcelCell(index=51)
    private String accountingRate;

    @ExcelCell(index=52)
    private String consolidationTime;

    @ExcelCell(index=53)
    private String employeesCurrentNum;

    @ExcelCell(index=54)
    private String fiscalYearDeadline;

    @ExcelCell(index=55)
    private String taxAgent;

    @ExcelCell(index=56)
    private String taxAgentContact;

    @ExcelCell(index=57)
    private String taxRuleIntroduction;

    @ExcelCell(index=58)
    private String auditRequirements;

    @ExcelCell(index=59)
    private String otherFacts;

    @ExcelCell(index=60)
    private String taxReturnBusinessType;

    @ExcelCell(index=61)
    private String branchLocalTaxPaymentRatio;

    @ExcelCell(index=62)
    private String totalAssets;

    @ExcelCell(index=63)
    private String nationalEconomicIndustry;

    @ExcelCell(index=64)
    private String isEngageNationalRestrictionsOrProhibitions;

    @ExcelCell(index=65)
    private String applicableAccountingStandardsOrAccountingSystems;

    @ExcelCell(index=66)
    private String isGeneralCorporateFinancialStatementFormat;

    @ExcelCell(index=67)
    private String isSmallMeagerProfit;

    @ExcelCell(index=68)
    private String isListedCompany;

    @ExcelCell(index=69)
    private String updateType;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getTaxPayerNumber() {
        return taxPayerNumber;
    }

    public void setTaxPayerNumber(String taxPayerNumber) {
        this.taxPayerNumber = taxPayerNumber;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public String getStructureId() {
        return structureId;
    }

    public void setStructureId(String structureId) {
        this.structureId = structureId;
    }

    public String getStructureName() {
        return structureName;
    }

    public void setStructureName(String structureName) {
        this.structureName = structureName;
    }

    public String getIndustryId() {
        return industryId;
    }

    public void setIndustryId(String industryId) {
        this.industryId = industryId;
    }

    public String getIndustryName() {
        return industryName;
    }

    public void setIndustryName(String industryName) {
        this.industryName = industryName;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public String getBusinessUnitId() {
        return businessUnitId;
    }

    public void setBusinessUnitId(String businessUnitId) {
        this.businessUnitId = businessUnitId;
    }

    public String getBusinessUnitName() {
        return businessUnitName;
    }

    public void setBusinessUnitName(String businessUnitName) {
        this.businessUnitName = businessUnitName;
    }

    public Boolean getIsActive() {
        return isActive;
    }

    public void setIsActive(Boolean isActive) {
        this.isActive = isActive;
    }

    public String getTaxPayerNumberExtra() {
        return taxPayerNumberExtra;
    }

    public void setTaxPayerNumberExtra(String taxPayerNumberExtra) {
        this.taxPayerNumberExtra = taxPayerNumberExtra;
    }

    public String getBusinessScope() {
        return businessScope;
    }

    public void setBusinessScope(String businessScope) {
        this.businessScope = businessScope;
    }

    public String getRegistrationType() {
        return registrationType;
    }

    public void setRegistrationType(String registrationType) {
        this.registrationType = registrationType;
    }

    public String getArchitectureType() {
        return architectureType;
    }

    public void setArchitectureType(String architectureType) {
        this.architectureType = architectureType;
    }

    public String getTaxCreditRating() {
        return taxCreditRating;
    }

    public void setTaxCreditRating(String taxCreditRating) {
        this.taxCreditRating = taxCreditRating;
    }

    public String getNumOfBranches() {
        return numOfBranches;
    }

    public void setNumOfBranches(String numOfBranches) {
        this.numOfBranches = numOfBranches;
    }

    public String getLegalPersonIdNum() {
        return legalPersonIdNum;
    }

    public void setLegalPersonIdNum(String legalPersonIdNum) {
        this.legalPersonIdNum = legalPersonIdNum;
    }

    public String getGeneralTaxpayerEffectiveTime() {
        return generalTaxpayerEffectiveTime;
    }

    public void setGeneralTaxpayerEffectiveTime(String generalTaxpayerEffectiveTime) {
        this.generalTaxpayerEffectiveTime = generalTaxpayerEffectiveTime;
    }

    public String getRegistrationFinancialOfficerName() {
        return registrationFinancialOfficerName;
    }

    public void setRegistrationFinancialOfficerName(String registrationFinancialOfficerName) {
        this.registrationFinancialOfficerName = registrationFinancialOfficerName;
    }

    public String getRegistrationFinancialIdNum() {
        return registrationFinancialIdNum;
    }

    public void setRegistrationFinancialIdNum(String registrationFinancialIdNum) {
        this.registrationFinancialIdNum = registrationFinancialIdNum;
    }

    public String getRegistrationAddressEn() {
        return registrationAddressEn;
    }

    public void setRegistrationAddressEn(String registrationAddressEn) {
        this.registrationAddressEn = registrationAddressEn;
    }

    public String getPaidInCapital() {
        return paidInCapital;
    }

    public void setPaidInCapital(String paidInCapital) {
        this.paidInCapital = paidInCapital;
    }

    public String getUnifiedSocialCreditCode() {
        return unifiedSocialCreditCode;
    }

    public void setUnifiedSocialCreditCode(String unifiedSocialCreditCode) {
        this.unifiedSocialCreditCode = unifiedSocialCreditCode;
    }

    public String getRegistrationStatus() {
        return registrationStatus;
    }

    public void setRegistrationStatus(String registrationStatus) {
        this.registrationStatus = registrationStatus;
    }

    public String getLogoffTime() {
        return logoffTime;
    }

    public void setLogoffTime(String logoffTime) {
        this.logoffTime = logoffTime;
    }

    public String getRegistrationAuthority() {
        return registrationAuthority;
    }

    public void setRegistrationAuthority(String registrationAuthority) {
        this.registrationAuthority = registrationAuthority;
    }

    public String getRegFinancialAccountingType() {
        return regFinancialAccountingType;
    }

    public void setRegFinancialAccountingType(String regFinancialAccountingType) {
        this.regFinancialAccountingType = regFinancialAccountingType;
    }

    public String getFinancialAccountingMethod() {
        return financialAccountingMethod;
    }

    public void setFinancialAccountingMethod(String financialAccountingMethod) {
        this.financialAccountingMethod = financialAccountingMethod;
    }

    public String getFinancialAccountingRule() {
        return financialAccountingRule;
    }

    public void setFinancialAccountingRule(String financialAccountingRule) {
        this.financialAccountingRule = financialAccountingRule;
    }

    public String getLowValueConsumablesAmortizationMethod() {
        return lowValueConsumablesAmortizationMethod;
    }

    public void setLowValueConsumablesAmortizationMethod(String lowValueConsumablesAmortizationMethod) {
        this.lowValueConsumablesAmortizationMethod = lowValueConsumablesAmortizationMethod;
    }

    public String getDepreciationMethod() {
        return depreciationMethod;
    }

    public void setDepreciationMethod(String depreciationMethod) {
        this.depreciationMethod = depreciationMethod;
    }

    public String getCostingMethod() {
        return costingMethod;
    }

    public void setCostingMethod(String costingMethod) {
        this.costingMethod = costingMethod;
    }

    public String getAccountingSoftware() {
        return accountingSoftware;
    }

    public void setAccountingSoftware(String accountingSoftware) {
        this.accountingSoftware = accountingSoftware;
    }

    public String getIsCompleteRecordTotalInstitutions() {
        return isCompleteRecordTotalInstitutions;
    }

    public void setIsCompleteRecordTotalInstitutions(String isCompleteRecordTotalInstitutions) {
        this.isCompleteRecordTotalInstitutions = isCompleteRecordTotalInstitutions;
    }

    public String getTaxClientPersonName() {
        return taxClientPersonName;
    }

    public void setTaxClientPersonName(String taxClientPersonName) {
        this.taxClientPersonName = taxClientPersonName;
    }

    public String getTaxClientPersonPhone() {
        return taxClientPersonPhone;
    }

    public void setTaxClientPersonPhone(String taxClientPersonPhone) {
        this.taxClientPersonPhone = taxClientPersonPhone;
    }

    public String getTaxClientPersonIDNum() {
        return taxClientPersonIDNum;
    }

    public void setTaxClientPersonIDNum(String taxClientPersonIDNum) {
        this.taxClientPersonIDNum = taxClientPersonIDNum;
    }

    public String getTicketHolderName() {
        return ticketHolderName;
    }

    public void setTicketHolderName(String ticketHolderName) {
        this.ticketHolderName = ticketHolderName;
    }

    public String getTicketHolderPhoneNum() {
        return ticketHolderPhoneNum;
    }

    public void setTicketHolderPhoneNum(String ticketHolderPhoneNum) {
        this.ticketHolderPhoneNum = ticketHolderPhoneNum;
    }

    public String getTicketHolderIDNumber() {
        return ticketHolderIDNumber;
    }

    public void setTicketHolderIDNumber(String ticketHolderIDNumber) {
        this.ticketHolderIDNumber = ticketHolderIDNumber;
    }

    public String getNationalTaxHallAddress() {
        return nationalTaxHallAddress;
    }

    public void setNationalTaxHallAddress(String nationalTaxHallAddress) {
        this.nationalTaxHallAddress = nationalTaxHallAddress;
    }

    public String getNationalTaxAdministratorName() {
        return nationalTaxAdministratorName;
    }

    public void setNationalTaxAdministratorName(String nationalTaxAdministratorName) {
        this.nationalTaxAdministratorName = nationalTaxAdministratorName;
    }

    public String getNationalTaxAdministratorPhoneNum() {
        return nationalTaxAdministratorPhoneNum;
    }

    public void setNationalTaxAdministratorPhoneNum(String nationalTaxAdministratorPhoneNum) {
        this.nationalTaxAdministratorPhoneNum = nationalTaxAdministratorPhoneNum;
    }

    public String getLocalTaxHallAddress() {
        return localTaxHallAddress;
    }

    public void setLocalTaxHallAddress(String localTaxHallAddress) {
        this.localTaxHallAddress = localTaxHallAddress;
    }

    public String getLocalTaxAdministratorName() {
        return localTaxAdministratorName;
    }

    public void setLocalTaxAdministratorName(String localTaxAdministratorName) {
        this.localTaxAdministratorName = localTaxAdministratorName;
    }

    public String getLocalTaxAdministratorPhoneNumber() {
        return localTaxAdministratorPhoneNumber;
    }

    public void setLocalTaxAdministratorPhoneNumber(String localTaxAdministratorPhoneNumber) {
        this.localTaxAdministratorPhoneNumber = localTaxAdministratorPhoneNumber;
    }

    public String getETAWebsite() {
        return eTAWebsite;
    }

    public void setETAWebsite(String eTAWebsite) {
        this.eTAWebsite = eTAWebsite;
    }

    public String getIsSignTripartiteAgreement() {
        return isSignTripartiteAgreement;
    }

    public void setIsSignTripartiteAgreement(String isSignTripartiteAgreement) {
        this.isSignTripartiteAgreement = isSignTripartiteAgreement;
    }

    public String getReportingCurrency() {
        return reportingCurrency;
    }

    public void setReportingCurrency(String reportingCurrency) {
        this.reportingCurrency = reportingCurrency;
    }

    public String getAccountingRate() {
        return accountingRate;
    }

    public void setAccountingRate(String accountingRate) {
        this.accountingRate = accountingRate;
    }

    public String getConsolidationTime() {
        return consolidationTime;
    }

    public void setConsolidationTime(String consolidationTime) {
        this.consolidationTime = consolidationTime;
    }

    public String getEmployeesCurrentNum() {
        return employeesCurrentNum;
    }

    public void setEmployeesCurrentNum(String employeesCurrentNum) {
        this.employeesCurrentNum = employeesCurrentNum;
    }

    public String getFiscalYearDeadline() {
        return fiscalYearDeadline;
    }

    public void setFiscalYearDeadline(String fiscalYearDeadline) {
        this.fiscalYearDeadline = fiscalYearDeadline;
    }

    public String getTaxAgent() {
        return taxAgent;
    }

    public void setTaxAgent(String taxAgent) {
        this.taxAgent = taxAgent;
    }

    public String getTaxAgentContact() {
        return taxAgentContact;
    }

    public void setTaxAgentContact(String taxAgentContact) {
        this.taxAgentContact = taxAgentContact;
    }

    public String getTaxRuleIntroduction() {
        return taxRuleIntroduction;
    }

    public void setTaxRuleIntroduction(String taxRuleIntroduction) {
        this.taxRuleIntroduction = taxRuleIntroduction;
    }

    public String getAuditRequirements() {
        return auditRequirements;
    }

    public void setAuditRequirements(String auditRequirements) {
        this.auditRequirements = auditRequirements;
    }

    public String getOtherFacts() {
        return otherFacts;
    }

    public void setOtherFacts(String otherFacts) {
        this.otherFacts = otherFacts;
    }

    public String getTaxReturnBusinessType() {
        return taxReturnBusinessType;
    }

    public void setTaxReturnBusinessType(String taxReturnBusinessType) {
        this.taxReturnBusinessType = taxReturnBusinessType;
    }

    public String getBranchLocalTaxPaymentRatio() {
        return branchLocalTaxPaymentRatio;
    }

    public void setBranchLocalTaxPaymentRatio(String branchLocalTaxPaymentRatio) {
        this.branchLocalTaxPaymentRatio = branchLocalTaxPaymentRatio;
    }

    public String getTotalAssets() {
        return totalAssets;
    }

    public void setTotalAssets(String totalAssets) {
        this.totalAssets = totalAssets;
    }

    public String getNationalEconomicIndustry() {
        return nationalEconomicIndustry;
    }

    public void setNationalEconomicIndustry(String nationalEconomicIndustry) {
        this.nationalEconomicIndustry = nationalEconomicIndustry;
    }

    public String getIsEngageNationalRestrictionsOrProhibitions() {
        return isEngageNationalRestrictionsOrProhibitions;
    }

    public void setIsEngageNationalRestrictionsOrProhibitions(String isEngageNationalRestrictionsOrProhibitions) {
        this.isEngageNationalRestrictionsOrProhibitions = isEngageNationalRestrictionsOrProhibitions;
    }

    public String getApplicableAccountingStandardsOrAccountingSystems() {
        return applicableAccountingStandardsOrAccountingSystems;
    }

    public void setApplicableAccountingStandardsOrAccountingSystems(String applicableAccountingStandardsOrAccountingSystems) {
        this.applicableAccountingStandardsOrAccountingSystems = applicableAccountingStandardsOrAccountingSystems;
    }

    public String getIsGeneralCorporateFinancialStatementFormat() {
        return isGeneralCorporateFinancialStatementFormat;
    }

    public void setIsGeneralCorporateFinancialStatementFormat(String isGeneralCorporateFinancialStatementFormat) {
        this.isGeneralCorporateFinancialStatementFormat = isGeneralCorporateFinancialStatementFormat;
    }

    public String getIsSmallMeagerProfit() {
        return isSmallMeagerProfit;
    }

    public void setIsSmallMeagerProfit(String isSmallMeagerProfit) {
        this.isSmallMeagerProfit = isSmallMeagerProfit;
    }

    public String getIsListedCompany() {
        return isListedCompany;
    }

    public void setIsListedCompany(String isListedCompany) {
        this.isListedCompany = isListedCompany;
    }

    public String getUpdateType() {
        return updateType;
    }

    public void setUpdateType(String updateType) {
        this.updateType = updateType;
    }

    public String getLegalPersonName() {
        return legalPersonName;
    }

    public void setLegalPersonName(String legalPersonName) {
        this.legalPersonName = legalPersonName;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }
}
