package pwc.taxtech.atms.dpo;

import com.fasterxml.jackson.annotation.JsonProperty;

public class OrgBasicDto {
    //@JsonProperty("ID")
    private String id;
    private String name;
    private String code;
    @JsonProperty("parentID")
    private String parentId;
    private String taxPayerNumber;
    private String taxPayerNumberExtra;
    @JsonProperty("regionID")
    private String regionId; //City
    private String regionName;
    @JsonProperty("structureID")
    private String structureId;
    private String structureName;
    @JsonProperty("industryID")
    private String industryId;
    private String industryName;
    private String areaName;
    @JsonProperty("areaID")
    private String areaId;
    @JsonProperty("businessUnitID")
    private String businessUnitId;
    private String businessUnitName;
    private Boolean isActive;

    private String businessScope;

    private String registrationType;

    private String architectureType;

    private String taxCreditRating;

    private String numOfBranches;

    private String legalPersonName;

    private String phoneNumber;

    private String legalPersonIdNum;

    private String bankAccountName;

    private String bankAccountNumber;

    private String address;

    private String generalTaxPayerEffectiveTime;

    private String foundationDate;

    private String regFinancialOfficerName;

    private String regFinancialOfficerPhoneNum;

    private String regFinancialOfficerIdNum;

    private String registrationLocation;

    private String registrationLocationEn;

    private String registrationCapital;

    private String paidInCapital;

    private String businessAllottedTimeFrom;

    private int apiUpdateFlag;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getTaxPayerNumber() {
        return taxPayerNumber;
    }

    public void setTaxPayerNumber(String taxPayerNumber) {
        this.taxPayerNumber = taxPayerNumber;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public String getStructureId() {
        return structureId;
    }

    public void setStructureId(String structureId) {
        this.structureId = structureId;
    }

    public String getStructureName() {
        return structureName;
    }

    public void setStructureName(String structureName) {
        this.structureName = structureName;
    }

    public String getIndustryId() {
        return industryId;
    }

    public void setIndustryId(String industryId) {
        this.industryId = industryId;
    }

    public String getIndustryName() {
        return industryName;
    }

    public void setIndustryName(String industryName) {
        this.industryName = industryName;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public String getBusinessUnitId() {
        return businessUnitId;
    }

    public void setBusinessUnitId(String businessUnitId) {
        this.businessUnitId = businessUnitId;
    }

    public String getBusinessUnitName() {
        return businessUnitName;
    }

    public void setBusinessUnitName(String businessUnitName) {
        this.businessUnitName = businessUnitName;
    }

    public Boolean getIsActive() {
        return isActive;
    }

    public void setIsActive(Boolean isActive) {
        this.isActive = isActive;
    }

    public String getTaxPayerNumberExtra() {
        return taxPayerNumberExtra;
    }

    public void setTaxPayerNumberExtra(String taxPayerNumberExtra) {
        this.taxPayerNumberExtra = taxPayerNumberExtra;
    }

    public String getBusinessScope() {
        return businessScope;
    }

    public void setBusinessScope(String businessScope) {
        this.businessScope = businessScope;
    }

    public String getRegistrationType() {
        return registrationType;
    }

    public void setRegistrationType(String registrationType) {
        this.registrationType = registrationType;
    }

    public String getTaxCreditRating() {
        return taxCreditRating;
    }

    public void setTaxCreditRating(String taxCreditRating) {
        this.taxCreditRating = taxCreditRating;
    }

    public String getNumOfBranches() {
        return numOfBranches;
    }

    public void setNumOfBranches(String numOfBranches) {
        this.numOfBranches = numOfBranches;
    }

    public String getLegalPersonName() {
        return legalPersonName;
    }

    public void setLegalPersonName(String legalPersonName) {
        this.legalPersonName = legalPersonName;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getLegalPersonIdNum() {
        return legalPersonIdNum;
    }

    public void setLegalPersonIdNum(String legalPersonIdNum) {
        this.legalPersonIdNum = legalPersonIdNum;
    }

    public String getBankAccountName() {
        return bankAccountName;
    }

    public void setBankAccountName(String bankAccountName) {
        this.bankAccountName = bankAccountName;
    }

    public String getBankAccountNumber() {
        return bankAccountNumber;
    }

    public void setBankAccountNumber(String bankAccountNumber) {
        this.bankAccountNumber = bankAccountNumber;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getGeneralTaxPayerEffectiveTime() {
        return generalTaxPayerEffectiveTime;
    }

    public void setGeneralTaxPayerEffectiveTime(String generalTaxPayerEffectiveTime) {
        this.generalTaxPayerEffectiveTime = generalTaxPayerEffectiveTime;
    }

    public String getFoundationDate() {
        return foundationDate;
    }

    public void setFoundationDate(String foundationDate) {
        this.foundationDate = foundationDate;
    }

    public String getRegFinancialOfficerName() {
        return regFinancialOfficerName;
    }

    public void setRegFinancialOfficerName(String regFinancialOfficerName) {
        this.regFinancialOfficerName = regFinancialOfficerName;
    }

    public String getRegFinancialOfficerPhoneNum() {
        return regFinancialOfficerPhoneNum;
    }

    public void setRegFinancialOfficerPhoneNum(String regFinancialOfficerPhoneNum) {
        this.regFinancialOfficerPhoneNum = regFinancialOfficerPhoneNum;
    }

    public String getRegFinancialOfficerIdNum() {
        return regFinancialOfficerIdNum;
    }

    public void setRegFinancialOfficerIdNum(String regFinancialOfficerIdNum) {
        this.regFinancialOfficerIdNum = regFinancialOfficerIdNum;
    }

    public String getRegistrationLocation() {
        return registrationLocation;
    }

    public void setRegistrationLocation(String registrationLocation) {
        this.registrationLocation = registrationLocation;
    }

    public String getRegistrationLocationEn() {
        return registrationLocationEn;
    }

    public void setRegistrationLocationEn(String registrationLocationEn) {
        this.registrationLocationEn = registrationLocationEn;
    }

    public String getRegistrationCapital() {
        return registrationCapital;
    }

    public void setRegistrationCapital(String registrationCapital) {
        this.registrationCapital = registrationCapital;
    }

    public String getPaidInCapital() {
        return paidInCapital;
    }

    public void setPaidInCapital(String paidInCapital) {
        this.paidInCapital = paidInCapital;
    }

    public String getBusinessAllottedTimeFrom() {
        return businessAllottedTimeFrom;
    }

    public void setBusinessAllottedTimeFrom(String businessAllottedTimeFrom) {
        this.businessAllottedTimeFrom = businessAllottedTimeFrom;
    }

    public String getArchitectureType() {
        return architectureType;
    }

    public void setArchitectureType(String architectureType) {
        this.architectureType = architectureType;
    }

    public int getApiUpdateFlag() {
        return apiUpdateFlag;
    }

    public void setApiUpdateFlag(int apiUpdateFlag) {
        this.apiUpdateFlag = apiUpdateFlag;
    }
}
